//---------------------------------------------------------------------------
#ifndef SPortH
#define SPortH
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
//---------------------------------------------------------------------------
class TSPort:public TObject{
public:
  __fastcall TSPort(int Number);
  __fastcall TSPort();
  __fastcall ~TSPort();
  __property HANDLE Handle=
    {read=FHandle};
  __property int Number=
    {read=FNumber};
  __property bool CTS={read=GetCTS};
  __property bool DSR={read=GetDSR};
  __property bool RING={read=GetRING};
  __property bool RLSD={read=GetRLSD};
  __property bool DTR={write=SetDTR};
  __property bool RTS={write=SetRTS};
  __property bool TxD={write=SetTxD};
private:
  HANDLE FHandle;
  int FNumber;
  DWORD __fastcall gms();
  bool __fastcall GetCTS();
  bool __fastcall GetDSR();
  bool __fastcall GetRING();
  bool __fastcall GetRLSD();
  void __fastcall SetDTR(bool Status);
  void __fastcall SetRTS(bool Status);
  void __fastcall SetTxD(bool Status);
};
//---------------------------------------------------------------------------
#endif
