//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <stdio.h>
#pragma hdrstop

#include "SPort.h"
//---------------------------------------------------------------------------
__fastcall TSPort::TSPort(int Number)
{
  FNumber=Number;
  char FileName[5];
  sprintf(FileName,"COM%i",FNumber);

  FHandle=CreateFile(FileName,GENERIC_READ|GENERIC_WRITE,
    0,NULL,OPEN_EXISTING,0,NULL);
  if(FHandle==INVALID_HANDLE_VALUE)
    throw Exception(
      AnsiString("Sriov port ")+FileName+" nelze otevt");
}
//---------------------------------------------------------------------------
__fastcall TSPort::TSPort()
{
  char FileName[5];

  for(int i=1;i<=4;i++){
    FNumber=Number;
    sprintf(FileName,"COM%i",FNumber);
    FHandle=CreateFile(FileName,GENERIC_READ|GENERIC_WRITE,
    0,NULL,OPEN_EXISTING,0,NULL);
    if(FHandle!=INVALID_HANDLE_VALUE) break;
  }
  if(FHandle==INVALID_HANDLE_VALUE)
    throw Exception("dn sriov port nelze otevt");
}
//---------------------------------------------------------------------------
__fastcall TSPort::~TSPort()
{
  CloseHandle(FHandle);
}
//---------------------------------------------------------------------------
DWORD __fastcall TSPort::gms()
{
  DWORD d;
  GetCommModemStatus(FHandle,&d);
  return(d);
}
//---------------------------------------------------------------------------
bool __fastcall TSPort::GetCTS()
{
  return(gms()&MS_CTS_ON);
}
//---------------------------------------------------------------------------
bool __fastcall TSPort::GetDSR()
{
  return(gms()&MS_DSR_ON);
}
//---------------------------------------------------------------------------
bool __fastcall TSPort::GetRING()
{
  return(gms()&MS_RING_ON);
}
//---------------------------------------------------------------------------
bool __fastcall TSPort::GetRLSD()
{
  return(gms()&MS_RLSD_ON);
}
//---------------------------------------------------------------------------
void __fastcall TSPort::SetDTR(bool Status)
{
  EscapeCommFunction(FHandle,
    Status?SETDTR:CLRDTR);
}
//---------------------------------------------------------------------------
void __fastcall TSPort::SetRTS(bool Status)
{
  EscapeCommFunction(FHandle,
    Status?SETRTS:CLRRTS);
}
//---------------------------------------------------------------------------
void __fastcall TSPort::SetTxD(bool Status)
{
  EscapeCommFunction(FHandle,
    Status?SETBREAK:CLRBREAK);
}
//---------------------------------------------------------------------------
